Help with jailbreaking and Cydia for iPhones, iPads, and iPod touches.

Pangu provides an iOS 9.0 untethered jailbreak. TaiG provides an iOS 8.4 and 8.3 untethered jailbreak.
Check @PanguTeam, @taig_jailbreak, @saurik, and /r/jailbreak for news and updates.
You can use Cydia Impactor if you need to un-jailbreak an 8.1-8.4 device without restoring.
Instructions for jailbreaking iOS 8.0-8.4.
Before asking a question, check Frequently Asked Questions to find quick answers!
How to fix some mysterious problems.

So i just decided to install a jailbreak yesterday and i have had no problems in the past. This is the first time i have jailbroken this phone, but when i first installed it, the Cydia app crashed and shut my phone down. Once i turned my phone back on again i got the error/warning message saying

"Encountered a section with no Package: header

You may want to run apt-get update to correct these problems"

Strange i thought. I checked my sources and funnily enough i already had a list, not sure if that was meant to happen (I used Pangu) but i left them there for now. I also found it strange that it didn't ask what 'level' i want Cydia to be at (Unless that has been removed since i last jailbroke), E.g User, hacker, basic, those sort of options. I added another source to try to download an app, but i then got the error

"Sub-process /usr/bin/dpkg returned an error code (2)"

This happened whenever i try to install or remove anything in Cydia and stops it from working. I did what everyone with a mind does and googled all my errors and there were plenty of solutions. My problem is they all rely on Cydia allowing you to install stuff such as 'terminal', which i obviously cannot do because of my error.

So far i have tried to download free terminal apps of the app store but i cannot figure out how to use them/if they will even be useful to solve this problem. I have also removed all sources from my Cydia that i can, so all that is left is Cydia/Telesphoreo, i'm guessing that is the default source?

Sorry about the long winded question, but i figured the more i get out of the way now, the less back and forth i will need later. So i feel like the Cydia i have is broken, but i don't want to update because then i cant jailbreak and i can't use any app that you get off Cydia. Any ideas? or is it just broken and i should wait for IOS 8 jailbreak?

Edit: and running in safe mode does absolutely nothing. Also don't know if it meant anything but it always sends the error (and quits) straight after it says "Running Debian Packager". I tried reinstalling Debian Packager, but it also has the same error.

what sources are you adding to cydia?

(10 Oct '14, 03:32) WalterWhite WalterWhite's gravatar image

I added XmodGames (It's what i jailbroke my iphone for), but i have removed it and every other source i possibly can. If i go into sources now, all that is there is

"All sources

Cydia/Telesphoreo"

(10 Oct '14, 03:36) Lolop Lolop's gravatar image
Answer this question. (please use the "add new comment" button unless you are actually answering the original question)
toggle preview

Markdown Basics

  • *italic* or _italic_
  • **bold** or __bold__
  • link:[text](http://url.com/ "Title")
  • image?![alt text](/path/img.jpg "Title")
  • numbered list: 1. Foo 2. Bar
  • to add a line break simply add two spaces to where you would like the new line to be.
  • basic HTML tags are also supported

Tags:

×8,194
×4,404
×2,358
×210
×8

Asked: 10 Oct '14, 03:24

Seen: 1,685 times

Last updated: 10 Oct '14, 03:50

JailbreakQA is by chpwn and comex.
About JailbreakQA. Powered by OSQA.